---
# Source: vault-secrets-webhook/templates/webhook-rbac.yaml
apiVersion: v1
kind: ServiceAccount
metadata:
  name: vault-secrets-webhook
  namespace: vault-operator
  labels:
    helm.sh/chart: vault-secrets-webhook-1.16.0
    app.kubernetes.io/name: vault-secrets-webhook
    app.kubernetes.io/instance: vault-secrets-webhook
    app.kubernetes.io/managed-by: Helm
---
# Source: vault-secrets-webhook/templates/webhook-rbac.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: vault-secrets-webhook
rules:
  - apiGroups:
      - ""
    resources:
      - secrets
      - configmaps
    verbs:
      - "get"
      - "update"
  - apiGroups:
      - ""
    resources:
      - serviceaccounts
    verbs:
      - "get"
  - apiGroups:
      - ""
    resources:
      - configmaps
    verbs:
      - "create"
      - "update"
---
# Source: vault-secrets-webhook/templates/webhook-rbac.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: vault-secrets-webhook-limited
roleRef:
  kind: ClusterRole
  apiGroup: rbac.authorization.k8s.io
  name: vault-secrets-webhook
subjects:
- kind: ServiceAccount
  namespace: vault-operator
  name: vault-secrets-webhook
